org.apache.http.auth

## Interface AuthSchemeFactory

All Known Implementing Classes:
  BasicSchemeFactory, DigestSchemeFactory, KerberosSchemeFactory, NegotiateSchemeFactory, NTLMSchemeFactory, SPNegoSchemeFactory

Deprecated.
(4.3) use `AuthSchemeProvider`

    @Deprecated
    public interface AuthSchemeFactory

Factory for `AuthScheme` implementations.

Since:
  4.0

### Method Summary

Methods
`AuthScheme` `newInstance(org.apache.http.params.HttpParams params)` Deprecated. Creates an instance of `AuthScheme` using given HTTP parameters.

### Method Detail

#### newInstance

    AuthScheme newInstance(org.apache.http.params.HttpParams params)

Deprecated.
Creates an instance of `AuthScheme` using given HTTP parameters.

Parameters:
  `params` - HTTP parameters.
Returns:
  auth scheme.